#include "SceneExplorer.h"

void SceneExplorer::Draw()
{
    scene.getReg().each([&](entt::entity enttNumber) {
        YoggieEngine::Entity entity = YoggieEngine::Entity(enttNumber, &scene);
        auto id = entity.GetComponent<YoggieEngine::IdentifierComponent>();

        if (ImGui::Selectable(id.name.c_str(), entity == selected)) {
            selected = YoggieEngine::Entity(enttNumber, &scene);
        }
    });
}