#pragma once
#include "../../YoggieEngine/src/YoggieEngine.h"
#include "../EditorWindow.h"

typedef void (*voidFunction) (void);

inline void ComponentView(const std::string& componentName, voidFunction func);

class Inspector : public EditorWindow {
public:
    Inspector( YoggieEngine::Entity& selected ) : EditorWindow("Inspector"), selected(selected){}

    void Draw()override;

private:

    void AddComponentDropDown();
    void ShowComponents();


    YoggieEngine::Entity& selected;
};
