#pragma once
#include "../../YoggieEngine/src/YoggieEngine.h"
#include "../EditorWindow.h"
#include "../../src/Scene/Entity.h"

class SceneExplorer : public EditorWindow {
public:
    SceneExplorer(YoggieEngine::Entity& selected, YoggieEngine::Scene& scene)
        : EditorWindow("SceneExplorer"), scene(scene), selected(selected)
    {}

    void Draw() override;


private:
    YoggieEngine::Entity& selected;
    YoggieEngine::Scene& scene;


};
