#pragma once
#include "YoggieEngine.h"
namespace YoggieEngine {

	class EngineInstrumentation {
	public:

		static int64_t lastSampleTime;

		static uint64_t GetPrecisionTime();
		static void PerfomanceSamplerInit();

		static void Update();
		static void ShowStats();

	private:

		static float frameTime;
		static uint32_t verts;
		static uint32_t DC;

		static int64_t frames;
		static int64_t  FPS;

	};

	class PerfSampler {
	public:

		PerfSampler(const std::string& name);
		~PerfSampler();
		void Stop();
	private:
		const std::string& name;
		std::chrono::time_point<std::chrono::high_resolution_clock> startTime;
	};

}
