#pragma once
#include "../Window.h"

//#include <X11/Xlib.h>
//#include <unistd.h>

namespace YoggieEngine {
	class X11Window : public NativeWindow {
	public:
		X11Window(const int width, const int height, const char* title);
		~X11Window();

		bool WindowShouldClose();
		
		void SetViewPort(int width, int height);
		void Poll();
		void SwappBuffers();

		void* GetHandle();
		
	private:
		void* m_handle;
		bool m_fullscreen;
		bool m_resizable;
		bool m_vsync;
		int m_widht;
		int m_height;

		void SetContext();

	};
}